User Tag List

Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13

Thread: Unable to build chain to self-signed root for signer:

  1. #1
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Aug 2010
    Location
    Sweden
    Posts
    359
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Unable to build chain to self-signed root for signer:

    I'm trying to update my app, but I just can't get the signing to work. I get the error unable to build chain to self-signed: "Dev Name" (number). The signing is automatically handled, and doesn't give any errors. The AWWDR Certificate is set to always trusted (tried it with default as well).

    I've tried everything, how do I get it to accept the signing?

  2. #2
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Aug 2010
    Location
    Sweden
    Posts
    359
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Also getting the error: command/usr/bin/codesign failed with exit code 1- code sign error

  3. #3
    Clicker Fusion 2.5 DeveloperHTML5 Export Module

    Join Date
    Jun 2006
    Posts
    1,497
    Mentioned
    10 Post(s)
    Tagged
    0 Thread(s)
    Signing apps has become required in several cases for posting on app stores in general or for security in protecting the binary code from being decompiled. Could not Clickteam build in an option that works with MMF2.5 or an app that does this for example (Install Creator) and keeps the program updated in the future. Just an idea. Maybe use blockchain to protect MMF application also from ransomware?

    Just an idea to help young programmers or new to Clickteam products?

  4. #4
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,054
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    This done when you build in XCode, you need signing for test on devices or publish in appstore.

    this error may be because teh certificates in this MAC is old and have not being updated.

    this happens when you have not used for long time

    xcode --> preferences --> accounts --> select the account --> manage certificate --> then click on the "+" icon on the bottom left of the popup window ---> ios development

    if this doesn't fix this problem, please check developers apple forums
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  5. #5
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Aug 2010
    Location
    Sweden
    Posts
    359
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    This done when you build in XCode, you need signing for test on devices or publish in appstore.

    this error may be because teh certificates in this MAC is old and have not being updated.

    this happens when you have not used for long time

    xcode --> preferences --> accounts --> select the account --> manage certificate --> then click on the "+" icon on the bottom left of the popup window ---> ios development

    if this doesn't fix this problem, please check developers apple forums

    I've replaced every certificate, tried everything, it just won't work. It's so annoying that the most difficult part of ios development is trying to figure apples stupid certificates.

  6. #6
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Aug 2010
    Location
    Sweden
    Posts
    359
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I was able to fix it by dowloading the certificate from https://developer.apple.com/support/expiration/
    Unfortunately I had to update xcode, and now I'm getting other errors from deprecated systems.

  7. #7
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Aug 2010
    Location
    Sweden
    Posts
    359
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I had to update to the newest xCode, now I get the following errors:

    Unknown type name "ADBannerView". It's in the cIAdVewController, there's the clickteam copyright info in the top. Do know know how to fix this Fernando?

  8. #8
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,054
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    what version of fusion are you using?
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  9. #9
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Aug 2010
    Location
    Sweden
    Posts
    359
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Developer, 2.5. Build R293.1

  10. #10
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,054
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    you need to update to version 293.6, where this code had been updated and or removed accordingly to apple requirements.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

Page 1 of 2 1 2 LastLast

Similar Threads

  1. Unable to build the apk
    By rainzo in forum Android Export Module 2.5
    Replies: 2
    Last Post: 7th February 2019, 06:11 AM
  2. Unable to use Build and Run
    By air_vag in forum HTML5 Export Module 2.5
    Replies: 3
    Last Post: 6th November 2016, 07:17 AM
  3. Unable to run using Build and Run
    By mobichan in forum HTML5 Export Module 2.5
    Replies: 1
    Last Post: 22nd May 2015, 05:47 AM
  4. Still unable to build
    By Kracker in forum Android Export Module Version 2.0
    Replies: 12
    Last Post: 8th June 2012, 06:24 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •